Forgot password?

Create an account!

Forum

« back

RhinoScript – Edit group and block script

Messages

Please log in to write a message.

  • 2. ledisnomad (Oct 29, 2009 17.29):

    Here is the quick-n-dirty script I'm using until I have time to develop a true in-place block editing command:

    Call EditBlock()
    Sub EditBlock()

            Dim strObj: strObj = Rhino.GetObject("Select a block to edit",4096,True)
            If IsNull(strObj) Then Exit Sub
           
            Dim blockName : blockName = Rhino.BlockInstanceName(strObj)
            If IsNull(blockName) Then Exit Sub
           
            Dim origin : origin = Rhino.BlockInstanceInsertPoint(strObj)
            If IsNull(origin) Then Exit Sub
           
            Call Rhino.Command("_Invert")
            Call Rhino.Command("_Hide")
            Dim txtDot : txtDot = Rhino.AddTextDot(blockName, origin)
            Call Rhino.LockObject(txtDot)
            Call Rhino.ExplodeBlockInstance(strObj)
                   
    End Sub

    I made a macro of a EditGroup command that essentially does the same thing without the TextDot.

    Any ideas about a full-blown in-place block editing script?

  • 1. ledisnomad (Oct 28, 2009 19.38):

    I'm considering trying to write a script that allows in-place group and block editing like all the other CAD programs I know: AutoCAD, Revit, VectorWorks, SketchUp, Illustrator, to name a few.

    First, does anybody know if this has already been done?
    Second, what are your thoughts on ways to approach this?

    Any ideas are welcome. Thanks!

Recommend

Why are these buttons gray?